OGRE: Ogre::RTShader::LinearSkinning Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::LinearSkinning Class Reference
Core » RTShader

Implement a sub render state which performs hardware skinning. More...

`#include <OgreShaderExLinearSkinning.h>`

Inheritance diagram for Ogre::RTShader::LinearSkinning:
[legend]

## Public Member Functions
| LinearSkinning ()
| Class default constructor. More...
virtual bool | addFunctionInvocations (ProgramSet *programSet)
virtual void | copyFrom (const HardwareSkinningTechnique *hardSkin)
ushort | getBoneCount ()
| Returns the number of bones in the model assigned to the material. More...
ushort | getWeightCount ()
| Returns the number of weights/bones affecting a vertex. More...
bool | hasCorrectAntipodalityHandling ()
| Only applicable for dual quaternion skinning. More...
bool | hasScalingShearingSupport ()
| Only applicable for dual quaternion skinning. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual bool | resolveDependencies (ProgramSet *programSet)
virtual bool | resolveParameters (ProgramSet *programSet)
void | setDoBoneCalculations (bool doBoneCalculations)
void | setHardwareSkinningParam (ushort boneCount, ushort weightCount, bool correctAntipodalityHandling=false, bool scalingShearingSupport=false)

## Detailed Description

Implement a sub render state which performs hardware skinning.

Meaning, this sub render states adds calculations which multiply the points and normals by their assigned bone matricies.

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreShaderExLinearSkinning.h